Create a new vendor
Create a new vendor account. Requires vendorName, email, password, salesEmail, and cityId. Optional fields include contact details, description, and flags. Email must be unique. Password is securely hashed before storage.
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendorName": "ABC Renovations",
"email": "info@abcrenovations.com",
"password": "securePassword123",
"salesEmail": "sales@abcrenovations.com",
"cityId": 42,
"vendorType": "COMPANY",
"activated": true,
"pqVendor": true,
"contactAddress1": "<string>",
"contactAddress2": "<string>",
"contactCity": "<string>",
"contactProvince": "<string>",
"contactPostalCode": "<string>",
"realContactPhoneNumber": "<string>",
"description": "<string>",
"websiteUrl": "<string>",
"bbbUrl": "<string>",
"additionalKeyWordsForNameSearch": "<string>",
"additionalKeyWordsForCategorySearch": "<string>",
"dunsNumber": "<string>"
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/vendors"
payload = {
"vendorName": "ABC Renovations",
"email": "info@abcrenovations.com",
"password": "securePassword123",
"salesEmail": "sales@abcrenovations.com",
"cityId": 42,
"vendorType": "COMPANY",
"activated": True,
"pqVendor": True,
"contactAddress1": "<string>",
"contactAddress2": "<string>",
"contactCity": "<string>",
"contactProvince": "<string>",
"contactPostalCode": "<string>",
"realContactPhoneNumber": "<string>",
"description": "<string>",
"websiteUrl": "<string>",
"bbbUrl": "<string>",
"additionalKeyWordsForNameSearch": "<string>",
"additionalKeyWordsForCategorySearch": "<string>",
"dunsNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vendorName: 'ABC Renovations',
email: 'info@abcrenovations.com',
password: 'securePassword123',
salesEmail: 'sales@abcrenovations.com',
cityId: 42,
vendorType: 'COMPANY',
activated: true,
pqVendor: true,
contactAddress1: '<string>',
contactAddress2: '<string>',
contactCity: '<string>',
contactProvince: '<string>',
contactPostalCode: '<string>',
realContactPhoneNumber: '<string>',
description: '<string>',
websiteUrl: '<string>',
bbbUrl: '<string>',
additionalKeyWordsForNameSearch: '<string>',
additionalKeyWordsForCategorySearch: '<string>',
dunsNumber: '<string>'
})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 1234,
"vendorName": "ABC Renovations",
"email": "info@abcrenovations.com",
"salesEmail": "sales@abcrenovations.com",
"vendorType": "COMPANY",
"urlTagPrefix": "abc-renovations",
"activated": true,
"prospect": false,
"contactAddress1": "123 Main St",
"contactAddress2": "Suite 200",
"contactCity": "Calgary",
"contactProvince": "AB",
"contactPostalCode": "T2P 1A1",
"contactPhoneNumber": "4031234567",
"realContactPhoneNumber": "4031234567",
"smsPhoneNumber": "4031234567",
"feedbackSMSPhoneNumber": "4031234567",
"feedbackEmail": "feedback@abcrenovations.com",
"cityId": 42,
"cityName": "Calgary",
"provinceName": "Alberta",
"websiteUrl": "https://www.abcrenovations.com",
"bbbUrl": "https://www.bbb.org/abc-renovations",
"facebookUrl": "https://www.facebook.com/abcrenovations",
"twitterUrl": "https://twitter.com/abcrenovations",
"googlePlusUrl": "https://g.page/abcrenovations",
"linkedInUrl": "https://www.linkedin.com/company/abcrenovations",
"instagramUrl": "https://www.instagram.com/abcrenovations",
"pinterestUrl": "https://www.pinterest.com/abcrenovations",
"youTubeUrl": "https://www.youtube.com/abcrenovations",
"description": "We specialize in home renovations...",
"covId19Description": "COVID-19 safety measures...",
"servicesDescription": "Kitchen, bathroom, basement renovations",
"areasServedDescription": "Calgary and surrounding areas",
"paymentOptions": "Cash, cheque, credit card",
"enableFullRMS": true,
"enableStandaloneFeedbackBooster": true,
"enableStandaloneReviewBooster": true,
"enableStandaloneReferralBooster": true,
"hasLeadBooster": true,
"viewStatsPermission": true,
"disableVendorInvoiceAccess": true,
"energyEfficiencyContractor": true,
"pendingCertification": true,
"directoryInventoryReserved": true,
"highRatingOnBbb": true,
"customerReviewsPassed": true,
"creditReportsPassed": true,
"legalsPassed": true,
"insuranceExpires": "15/06/2026",
"wcbExpires": "01/12/2026",
"businessLicenseExpires": "31/03/2027",
"dunsNumber": "123456789",
"dnbMonitoring": true,
"accredited": true,
"pqVendor": true,
"pqVendorDescription": "<string>",
"pqEmails": "<string>",
"pqPhoneNumbers": "<string>",
"discountLive": true,
"discountMember": true,
"discountPriority": 123,
"discountCategory": "<string>",
"discountBriefDescription": "<string>",
"discountDetailedDescription": "<string>",
"discountInventoryReserved": true,
"packageType": 1,
"manualPaymentType": "<string>",
"enableVendorContests": true,
"contestParticipantLimit": 123,
"pauseCurrentDripsInPipeline": true,
"pauseVendorContestDrippingFromCFS": true
},
"message": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Body
Create a new vendor account. Required fields: vendorName, email, password, salesEmail, cityId. All other fields are optional.
"ABC Renovations"
Login email (must be unique, will be lowercased)
"info@abcrenovations.com"
Account password (will be securely hashed)
"securePassword123"
Customer service email
"sales@abcrenovations.com"
City ID for the vendor's primary listing location
42
Defaults to COMPANY if not specified
COMPANY, REALTOR Whether the vendor account is active
Whether the vendor is part of the Pre-Qualified program
Also sets the display contact phone number
Company description (max 2048 chars)
Response
Vendor created successfully
true
Full vendor profile returned by the Manager API. Fields are grouped by section:
Account - id, vendorName, email, salesEmail, vendorType, urlTagPrefix, activated, prospect
Contact - contactAddress1, contactAddress2, contactCity, contactProvince, contactPostalCode, contactPhoneNumber, realContactPhoneNumber, smsPhoneNumber, feedbackSMSPhoneNumber, feedbackEmail
City (read-only) - cityId, cityName, provinceName
Social - websiteUrl, bbbUrl, facebookUrl, twitterUrl, googlePlusUrl, linkedInUrl, instagramUrl, pinterestUrl, youTubeUrl
Descriptions - description, covId19Description, servicesDescription, areasServedDescription, paymentOptions
Features - enableFullRMS, enableStandaloneFeedbackBooster, enableStandaloneReviewBooster, enableStandaloneReferralBooster, hasLeadBooster, viewStatsPermission, disableVendorInvoiceAccess, energyEfficiencyContractor, pendingCertification, directoryInventoryReserved
Compliance - highRatingOnBbb, customerReviewsPassed, creditReportsPassed, legalsPassed, insuranceExpires, wcbExpires, businessLicenseExpires, dunsNumber, dnbMonitoring, accredited
PQ - pqVendor, pqVendorDescription, pqEmails, pqPhoneNumbers
Discount - discountLive, discountMember, discountPriority, discountCategory, discountBriefDescription, discountDetailedDescription, discountInventoryReserved
Subscription - packageType, manualPaymentType
Contests - enableVendorContests, contestParticipantLimit, pauseCurrentDripsInPipeline, pauseVendorContestDrippingFromCFS
Show child attributes
Show child attributes

